Description

I'm trying to restructure the workflow of some om my Redmine projects which involves changing the issue status definitions.

However, I am unable to delete a configures issue status if there are still issues with that status (as enforced from

IssueStatus#check_integrity). While this is good and healthy, the failure message is not very talkative ("Unable to delete issue

status").

It would be great if either

1. the User would have the opportunity to select another status for the affected issues, or

2. the error message would state the real problem

History

#1 - 2009-12-09 00:35 - Holger Just

However, the second option does not really solve the problem, as it is not possible to bulk edit all issues with that status, as there could also be

issues in archived projects I do not know anything about. These still let check_integrity fail.

#2 - 2009-12-09 10:24 - Jean-Philippe Lang

- Subject changed from Issue statuses can not be deleted if issues are still using it to Ability to delete an issue status that is in use

#3 - 2014-04-19 19:06 - Christoph S. Ackermann

+1!

#4 - 2014-06-17 05:17 - Michael Sanders

+1

#5 - 2014-07-16 04:00 - Toshi MARUYAMA

- Category changed from UI to Issues planning

#6 - 2015-03-12 12:25 - Aron Rotteveel

+1

#7 - 2017-04-05 11:37 - Greg T

+1 for more useful error messages at least.

I've had to find this SQL (after setting config.log_level = :info):

SELECT COUNT(*) FROM `trackers` WHERE `trackers`.`default_status_id` = 30

so that I could find out that not only issue statuses matter, but default statuses of trackers, too.

#8 - 2020-04-15 14:03 - Guillermo ML

In #31361 (for 4.1.0) implemented the second option.

As you say in note-1 issues in archived projects could be a problem, these issue will not shown in a search. You'll have to search through a SQL

query.

#9 - 2020-04-15 18:35 - Greg T

Guillermo ML wrote:
https://www.redmine.org/issues/31361


In #31361 (for 4.1.0) implemented the second option.

I have 2 problems with that implementation:

the main one is lack of i18n;

the other is lack of details.

Powered by TCPDF (www.tcpdf.org)

2025-07-01 2/2

https://www.redmine.org/issues/31361
http://www.tcpdf.org

